<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% extends "base.html" %}
{% load static %}
{% load i18n %}

{% block content %}
    <h1>Base Datos: {{ basedatoscontacto.nombre }}</h1>

    <table class="table">
        <thead>
            <tr>
                <th>{% trans 'Teléfono' %}</th>
                <th>{% trans 'ID de Contacto' %}</th>
                <th>{% trans 'Acciones' %}</th>
            </tr>
        </thead>
        <tbody>
        {% for contacto in object_list %}
            <tr>
                <td>{{ contacto.telefono }}</td>
                <td>{{ contacto.pk }}</td>
                <td>
                    <div class="dropdown">
                        <button class="btn btn-light dropdown-toggle" type="button" id="dropdownActions" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        {% trans 'Opciones' %}
                        </button>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownActions">
                            <a class="dropdown-item" href="{% url 'actualizar_contacto' contacto.pk %}">
                                <span class="icon icon-pencil"></span>{% trans 'Modificar' %}
                            </a>
                            <a class="dropdown-item" href="{% url 'eliminar_contacto' contacto.pk %}">
                                <span class="icon icon-trash"></span>{% trans 'Eliminar' %}
                            </a>
                        </div>
                    </div>
                </td>
            </tr>
       {% empty %}
        <tr>
            <td colspan="3">{% trans 'No existen contactos' %}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
